// ==UserScript==
// @name         江西省中小学教师培训项目(导入课程列表）
// @namespace    http://herokay.cn/
// @version      0.1
// @description  2021年江西省中小学（幼儿园）“互联网+教师专业发展”全员培训项目
// @author       herokay
// @match        https://jx19qy.gpa.enetedu.com/Event/CourseWare?courseID=*
// @icon         http://www.herokay.cn/usr/themes/GreenGrapes/favicon.ico
// @grant        none
// ==/UserScript==

(function() {
    'use strict';

    // Your code here...
    var course_count = 0;
    var first_url = "";
    if(!window.localStorage)
    {
        alert("浏览器不支持localstorage");
        return false;
    }
    var storage=window.localStorage;
    $("td [href]").each(function(){
        if(String($(this).attr("href")).search("courseware_id")!=-1)
        {
            if(course_count == 0)
                first_url = $(this).attr("href");
            storage.setItem("course_" + course_count , $(this).attr("href"));
            console.info($(this).attr("href"));
            course_count ++;
        }
    });
    storage.setItem("course_count", course_count);
    storage.setItem("current_course", 0);
    var str_d = "<div style=\'position:fixed;top:10px;right:10px;background-color:#000;padding:10px;font-size:200%\'><p>课程数量：course_count</p><a href=\'##\' style=\'padding:20px;line-height:200%;color:#fff;\'>开始学习</a></div>";
    str_d = str_d.replace("##" , first_url);
    str_d = str_d.replace("course_count" , course_count);
    $("body").append(str_d);
})();